Enlaces
GET https://biolink.travel/api/links/
curl --request GET \
--url 'https://biolink.travel/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://biolink.travel/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| Parámetros | Detalles | Descripción |
|---|---|---|
| search | Opcional Cadena | La cadena de búsqueda. |
| search_by | Opcional Cadena | ¿En qué campo estás buscando? Los valores permitidos son: url, location_url. |
| is_enabled | Opcional Booleano | |
| project_id | Opcional Entero | |
| domain_id | Opcional Entero | |
| type | Opcional Cadena |
biolink, link, file, vcard, event, static |
| datetime_field | Opcional Cadena | Valores permitidos: datetime, last_datetime |
| datetime_start | Opcional Cadena | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Opcional Cadena | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Opcional Cadena | Por qué campo ordenar los resultados. Los valores permitidos son: link_id, datetime, last_datetime, clicks, url. |
| order_type | Opcional Cadena | El orden de los resultados. Los valores permitidos son: ASC para orden ascendente, y DESC para orden descendente. |
| page | Opcional Entero | El número de página del que deseas resultados. Por defecto es 1. |
| results_per_page | Opcional Entero | Cuántos resultados desea por página. Los valores permitidos son: 10, 25, 50, 100, 250, 500, 1000. Por defecto es 25. |
{
"data": [
{
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-04-15 20:17:20",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://biolink.travel/api/links?page=1",
"last": "https://biolink.travel/api/links?page=1",
"next": null,
"prev": null,
"self": "https://biolink.travel/api/links?page=1"
}
}
GET https://biolink.travel/api/links/{link_id}
curl --request GET \
--url 'https://biolink.travel/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://biolink.travel/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-04-15 20:17:20",
}
}
POST https://biolink.travel/api/links
| Parámetros | Detalles | Descripción |
|---|---|---|
| type | Opcional Cadena | link |
| location_url | Requerido Cadena | La URL del destino.Disponible cuando: is_bulk = 0 |
| location_urls | Requerido Cadena | La URL del destino.Disponible cuando: is_bulk = 1 |
| url | Opcional Cadena | El alias de URL del enlace generado. Déjelo vacío para uno generado aleatoriamente.Disponible cuando: is_bulk = 0 |
| is_bulk | Opcional Booleano | |
| domain_id | Opcional Entero | - |
| project_id | Opcional Entero | - |
| pixels_ids | Opcional Matriz Entero | - |
| email_reports | Opcional Matriz | IDs de manejador de notificaciones |
| schedule | Opcional Booleano | - |
| start_date | Opcional Cadena | Disponible cuando: schedule = true |
| end_date | Opcional Cadena | Disponible cuando: schedule = true |
| clicks_limit | Opcional Entero | - |
| expiration_url | Opcional Cadena | - |
| sensitive_content | Opcional Booleano | - |
| http_status_code | Opcional Entero | Valores permitidos: 301, 302, 307, 308 |
| app_linking_is_enabled | Opcional Booleano | - |
| cloaking_is_enabled | Opcional Booleano | - |
| cloaking_title | Opcional Cadena | - |
| cloaking_meta_description | Opcional Cadena | - |
| cloaking_custom_js | Opcional Cadena | - |
| cloaking_favicon | Opcional Archivo | - |
| cloaking_opengraph | Opcional Archivo | - |
| password | Opcional Cadena | - |
| forward_query_parameters_is_enabled | Opcional Booleano | - |
| seo_block | Opcional Booleano | - |
| utm_source | Opcional Cadena | - |
| utm_medium | Opcional Cadena | - |
| utm_campaign | Opcional Cadena | - |
| targeting_type | Opcional Cadena | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Opcional Cadena | Disponible cuando: targeting_type = continent_code |
| targeting_continent_code_value[index] | Opcional Cadena | Disponible cuando: targeting_type = continent_code |
| targeting_country_code_key[index] | Opcional Cadena | Disponible cuando: targeting_type = country_code |
| targeting_country_code_value[index] | Opcional Cadena | Disponible cuando: targeting_type = country_code |
| targeting_city_name_key[index] | Opcional Cadena | Disponible cuando: targeting_type = city_name |
| targeting_city_name_value[index] | Opcional Cadena | Disponible cuando: targeting_type = city_name |
| targeting_device_type_key[index] | Opcional Cadena | Disponible cuando: targeting_type = device_type |
| targeting_device_type_value[index] | Opcional Cadena | Disponible cuando: targeting_type = device_type |
| targeting_browser_language_key[index] | Opcional Cadena | Disponible cuando: targeting_type = browser_language |
| targeting_browser_language_value[index] | Opcional Cadena | Disponible cuando: targeting_type = browser_language |
| targeting_rotation_key[index] | Opcional Cadena | Disponible cuando: targeting_type = rotation |
| targeting_rotation_value[index] | Opcional Cadena | Disponible cuando: targeting_type = rotation |
| targeting_os_name_key[index] | Opcional Cadena | Disponible cuando: targeting_type = os_name |
| targeting_os_name_value[index] | Opcional Cadena | Disponible cuando: targeting_type = os_name |
| targeting_browser_name_key[index] | Opcional Cadena | Disponible cuando: targeting_type = browser_name |
| targeting_browser_name_value[index] | Opcional Cadena | Disponible cuando: targeting_type = browser_name |
curl --request POST \
--url 'https://biolink.travel/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://biolink.travel/' \
--url 'https://biolink.travel/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://biolink.travel/' \
{
"data": {
"id": 1
}
}
POST https://biolink.travel/api/links/{link_id}
| Parámetros | Detalles | Descripción |
|---|---|---|
| location_url | Opcional Cadena | La URL del destino. |
| url | Opcional Cadena | El alias de URL del enlace generado. Déjelo vacío para uno generado aleatoriamente. |
| domain_id | Opcional Entero | - |
| project_id | Opcional Entero | - |
| pixels_ids | Opcional Matriz Entero | - |
| email_reports | Opcional Matriz | IDs de manejador de notificaciones |
| schedule | Opcional Booleano | - |
| start_date | Opcional Cadena | Disponible cuando: schedule = true |
| end_date | Opcional Cadena | Disponible cuando: schedule = true |
| clicks_limit | Opcional Entero | - |
| expiration_url | Opcional Cadena | - |
| sensitive_content | Opcional Booleano | - |
| http_status_code | Opcional Entero | Valores permitidos: 301, 302, 307, 308 |
| app_linking_is_enabled | Opcional Booleano | - |
| cloaking_is_enabled | Opcional Booleano | - |
| cloaking_title | Opcional Cadena | - |
| cloaking_meta_description | Opcional Cadena | - |
| cloaking_custom_js | Opcional Cadena | - |
| cloaking_favicon | Opcional Archivo | - |
| cloaking_opengraph | Opcional Archivo | - |
| password | Opcional Cadena | - |
| forward_query_parameters_is_enabled | Opcional Booleano | - |
| seo_block | Opcional Booleano | - |
| utm_source | Opcional Cadena | - |
| utm_medium | Opcional Cadena | - |
| utm_campaign | Opcional Cadena | - |
| targeting_type | Opcional Cadena | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Opcional Cadena | Disponible cuando: targeting_type = continent_code |
| targeting_continent_code_value[index] | Opcional Cadena | Disponible cuando: targeting_type = continent_code |
| targeting_country_code_key[index] | Opcional Cadena | Disponible cuando: targeting_type = country_code |
| targeting_country_code_value[index] | Opcional Cadena | Disponible cuando: targeting_type = country_code |
| targeting_city_name_key[index] | Opcional Cadena | Disponible cuando: targeting_type = city_name |
| targeting_city_name_value[index] | Opcional Cadena | Disponible cuando: targeting_type = city_name |
| targeting_device_type_key[index] | Opcional Cadena | Disponible cuando: targeting_type = device_type |
| targeting_device_type_value[index] | Opcional Cadena | Disponible cuando: targeting_type = device_type |
| targeting_browser_language_key[index] | Opcional Cadena | Disponible cuando: targeting_type = browser_language |
| targeting_browser_language_value[index] | Opcional Cadena | Disponible cuando: targeting_type = browser_language |
| targeting_rotation_key[index] | Opcional Cadena | Disponible cuando: targeting_type = rotation |
| targeting_rotation_value[index] | Opcional Cadena | Disponible cuando: targeting_type = rotation |
| targeting_os_name_key[index] | Opcional Cadena | Disponible cuando: targeting_type = os_name |
| targeting_os_name_value[index] | Opcional Cadena | Disponible cuando: targeting_type = os_name |
| targeting_browser_name_key[index] | Opcional Cadena | Disponible cuando: targeting_type = browser_name |
| targeting_browser_name_value[index] | Opcional Cadena | Disponible cuando: targeting_type = browser_name |
curl --request POST \
--url 'https://biolink.travel/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://biolink.travel/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://biolink.travel/api/links/{link_id}
curl --request DELETE \
--url 'https://biolink.travel/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://biolink.travel/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \